cvp.vo

## Class Prenotazione

- java.lang.Object
- - cvp.vo.Prenotazione

-     public class Prenotazione
      extends java.lang.Object

  Contiene i dati di dettaglio della prenotazione

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codNazionaleAziendaCup` Codice nazionale dell'azienda cup che ha effettuato la prenotazione, elemento obbligatorio.
    `private java.lang.String` | `codStabilimentoOspedalieroErogatore` Codice nazionale dello stabilimento ospedaliero oggetto della prenotazione, elemento obbligatorio.
    `private java.lang.String` | `dataPrenotazione` Data in cui è stata effettuata la prenotazione, elemento obbligatorio.
    `private java.lang.String` | `descAziendaCup` Denominazione dell'azienda cup che ha effettuato la prenotazione, elemento obbligatorio.
    `private java.lang.String` | `descStabilimentoOspedalieroErogatore` Denominazione dello stabilimento ospedaliero oggetto della prenotazione, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prenotazione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodNazionaleAziendaCup()`
    `java.lang.String` | `getCodStabilimentoOspedalieroErogatore()`
    `java.lang.String` | `getDataPrenotazione()`
    `java.lang.String` | `getDescAziendaCup()`
    `java.lang.String` | `getDescStabilimentoOspedalieroErogatore()`
    `void` | `setCodNazionaleAziendaCup(java.lang.String codNazionaleAziendaCup)`
    `void` | `setCodStabilimentoOspedalieroErogatore(java.lang.String codStabilimentoOspedalieroErogatore)`
    `void` | `setDataPrenotazione(java.lang.String dataPrenotazione)`
    `void` | `setDescAziendaCup(java.lang.String descAziendaCup)`
    `void` | `setDescStabilimentoOspedalieroErogatore(java.lang.String descStabilimentoOspedalieroErogatore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codNazionaleAziendaCup

          private java.lang.String codNazionaleAziendaCup

      Codice nazionale dell'azienda cup che ha effettuato la prenotazione, elemento obbligatorio.

    - #### codStabilimentoOspedalieroErogatore

          private java.lang.String codStabilimentoOspedalieroErogatore

      Codice nazionale dello stabilimento ospedaliero oggetto della prenotazione, elemento obbligatorio.

    - #### dataPrenotazione

          private java.lang.String dataPrenotazione

      Data in cui è stata effettuata la prenotazione, elemento obbligatorio.

    - #### descAziendaCup

          private java.lang.String descAziendaCup

      Denominazione dell'azienda cup che ha effettuato la prenotazione, elemento obbligatorio.

    - #### descStabilimentoOspedalieroErogatore

          private java.lang.String descStabilimentoOspedalieroErogatore

      Denominazione dello stabilimento ospedaliero oggetto della prenotazione, elemento obbligatorio.

  - ### Constructor Detail

    - #### Prenotazione

          public Prenotazione()

  - ### Method Detail

    - #### setCodNazionaleAziendaCup

          public void setCodNazionaleAziendaCup(java.lang.String codNazionaleAziendaCup)

    - #### getCodNazionaleAziendaCup

          public java.lang.String getCodNazionaleAziendaCup()

    - #### setCodStabilimentoOspedalieroErogatore

          public void setCodStabilimentoOspedalieroErogatore(java.lang.String codStabilimentoOspedalieroErogatore)

    - #### getCodStabilimentoOspedalieroErogatore

          public java.lang.String getCodStabilimentoOspedalieroErogatore()

    - #### setDataPrenotazione

          public void setDataPrenotazione(java.lang.String dataPrenotazione)

    - #### getDataPrenotazione

          public java.lang.String getDataPrenotazione()

    - #### setDescAziendaCup

          public void setDescAziendaCup(java.lang.String descAziendaCup)

    - #### getDescAziendaCup

          public java.lang.String getDescAziendaCup()

    - #### setDescStabilimentoOspedalieroErogatore

          public void setDescStabilimentoOspedalieroErogatore(java.lang.String descStabilimentoOspedalieroErogatore)

    - #### getDescStabilimentoOspedalieroErogatore

          public java.lang.String getDescStabilimentoOspedalieroErogatore()